Logo
OpenScaler
API Documentation/Load Balancer Backends

List Backends

List all backends configured on the given load balancer.

GET
/v1/lbs/{lb_id}/backends

Authorization

AuthorizationRequiredBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

lb_idRequiredstring

A unique identifier for a load balancer instance.

curl -X GET "https://api.alpha.openscaler.net/v1/lbs/42/backends" \
  -H "Authorization: Bearer <token>"

List of backends.

{
  "backends": [
    {
      "name": "api-backend",
      "mode": "http",
      "balancing_method": "roundrobin",
      "port": 8080,
      "servers": {
        "type": "computer",
        "computer_ids": [
          "23",
          "24"
        ]
      },
      "options": {
        "tls": false,
        "tls_verify": false,
        "forward_for": true,
        "proxy_protocol": "v2",
        "sticky_session": {
          "type": "cookie",
          "cookie": "SERVERID",
          "ttl": "5m"
        },
        "health_check": {
          "type": "http",
          "path": "/health",
          "method": "GET",
          "port": 80,
          "expected_code": "200",
          "host_header": "example.com"
        }
      }
    }
  ]
}